Skip Navigation Links
Exit Print View
| Oracle Solaris Cluster Geographic Edition Reference Manual Oracle Solaris Cluster 4.1

Search Scope:

- This Document
- Entire Library

### geohb

- configure and manage the heartbeat mechanism

## SYNOPSIS

    /usr/cluster/bin/geohb -?

    /usr/cluster/bin/geohb -V

    /usr/cluster/bin/geohb add-plugin pluginname heartbeatname -p property [-p…]

    /usr/cluster/bin/geohb create -r clusterlist [-p property [-p…]] heartbeatname

    /usr/cluster/bin/geohb delete heartbeatname

    /usr/cluster/bin/geohb list heartbeatname …

    /usr/cluster/bin/geohb modify-plugin -p property [-p…] pluginname heartbeatname

    /usr/cluster/bin/geohb remove-plugin pluginname heartbeatname

    /usr/cluster/bin/geohb set-prop -p property [-p…] heartbeatname …

## Description

The `geohb` command enables you to configure and manage the heartbeat mechanism.

A heartbeat is a monitor between two clusters: a requester cluster and a responder cluster. Creating a partnership establishes two heartbeats, one in each direction. For example, a partnership between a primary cluster, `cluster-paris`, and a secondary cluster, `cluster-newyork`, contains two heartbeats. One heartbeat has `cluster-paris` as the requester and `cluster-newyork` as the responder. The other heartbeat has `cluster-newyork` as the requester and `cluster-newyork` as the responder.

The Oracle Solaris Cluster Geographic Edition software provides a default heartbeat mechanism that is based on the TCP/UDP plug-in as the primary plug-in and the ping plug-in as backup. The `geohb` command enables you to configure and maintain heartbeats. You can perform the following tasks:

- Configuring a heartbeat between clusters that participate in a partnership. Configuring a heartbeat includes the configuration of associated plug-ins.

- Creating or deleting a heartbeat property.

- Adding, modifying, and removing plug-ins that are associated with a heartbeat.

- Retrieving the current configuration of a heartbeat and its associated plug-ins.

Run the `geohb` command on a cluster that has been enabled for partnership.

To run the `geohb` command to configure and manage the heartbeat mechanism, you must be assigned the proper role-based access control (RBAC) rights profile.

If you have root access, you have permissions to perform any operation. If you do not have root access, the following RBAC rights apply:

- Basic Solaris User. You can read information about Oracle Solaris Cluster Geographic Edition entities by running commands such as `geopg list`, `geohb list`, and `geops list`.

- Geo Management. You can perform all the read operations that someone with Basic Solaris User access can perform. You can also perform administrative and configuration tasks such as `geohb create`, `geopg switchover`, `geoadm start`, and `geoadm stop`.

For more information, see the `rbac`(5) man page and Geographic Edition Software and RBAC in Oracle Solaris Cluster Geographic Edition System Administration Guide.

The general form of this command is as follows:

`geohb` [subcommand] [options] [operands]

You can omit subcommand only if options specifies the option `-?`, `-o`, `-V`, or `-v`.

Each option of this command has a long form and a short form. Both forms of each option are given with the description of the option in the OPTIONS section of this man page.

## SUBCOMMANDS

The following subcommands are supported:

`add-plugin`

  Add a plug-in to an existing heartbeat. If you specify a custom plug-in, you must also specify the path to your custom plug-in command by using the `Query_cmd` property.

`create`

  Create a heartbeat. You can monitor heartbeat status by running the `geoadm`(1M) command. You must configure the remote cluster to make the heartbeat operational.

  Note - If you create a custom heartbeat, you must add at least one plug-in to prevent the partnership from remaining in degraded mode.

`delete`

  Delete a heartbeat.

`list`

  Display existing configuration information.

`modify-plugin`

  Modify heartbeat plug-in properties.

`remove-plugin`

  Remove a plug-in from a heartbeat.

`set-prop`

  Modify heartbeat properties.

## Options

The following options are supported:

`-?`
`--help`

  Displays help information. When this option is used, no other processing is performed.

  You can specify this option without a subcommand or with a subcommand.

  If you specify this option without a subcommand, the list of subcommands for this command is displayed.

  If you specify this option with a subcommand, the usage options for the subcommand are displayed.

  The question mark might be interpreted as a special character by some shells. Use quotes (`-"?"`) or an escape character to avoid pattern matching.

`-p` property
`--property` property

  Specifies the properties of a heartbeat or heartbeat plug-in.

  A heartbeat property is assigned a value by using a `name=statement` pair. Multiple properties might be set at one time by using multiple statements.

  The values for these properties are assigned at creation and tunable at runtime.

  See the EXTENDED DESCRIPTION section for currently defined properties.

`-r` clusterlist
`--remote-cluster` clusterlist

  Specifies the name of a remote cluster with which the local cluster should establish heartbeat monitoring.

`-V`
`--version`

  Displays the version of the command.

  Do not specify this option with subcommands, operands, or other options. The subcommands, operands, or other options are ignored. The `-V` option only displays the version of the command. No other operations are performed.

## Operands

The following operands are supported:

heartbeatname

  Specifies an identifier for the heartbeat on the local cluster. If you are trying to create a new heartbeat, and the specified identifier already exists, the `geohb create` command fails.

pluginname

  Specifies the name of the heartbeat plug-in.

## Extended Description

The following sections list the heartbeat and heartbeat plug-in properties.

### Heartbeat Properties

You can specify the following heartbeat property:

`Query_interval`

  Specifies the frequency between heartbeat status requests in seconds. The plug-in enters emergency mode if three `Query_interval` periods pass without response. The plug-in times out and enters error mode if a further `Query_interval` period passes with no response.

  Optional property.

  Type: Integer.

  Tuning recommendations: The value of this property is assigned at creation and tunable at runtime.

  Minimum value: 20 seconds

  Maximum value: 300 seconds

  Default value: 120 seconds.

### Heartbeat Plug-in Properties

Heartbeat plug-in properties determine how a heartbeat functions.

`Plugin_properties`

  Specifies a property string that is specific to the plug-in.

  Optional property.

  Type: String.

  Tuning recommendations: The value of this property is assigned at creation and tunable at runtime.

  Default value: None, except for heartbeats that use the default heartbeat plug-ins, `tcp_udp_plugin` and `ping-plugin`.

  For the `tcp_udp_plugin` plug-in, the format of this string is predefined as `remote_IP_address/UDP/2084/ipsec,remote_IP_address/TCP/2084/ipsec`. The remote_IP_address argument specifies the IP address of the partner cluster. The optional `/ipsec` string indicates that the plug-in uses IPsec.

  For the `ping-plugin`, the format of this string is predefined as remote_IP_address, where remote_IP_address specifies the IP address of the partner cluster.

`Query_cmd`

  Specifies the path to the command for a heartbeat status request.

  Required property if the plug-in does not specify a predefined plug-in.

  Type: String.

  Tuning recommendations: The value of this property is assigned at creation and tunable at runtime.

  Default value: None.

`Requester_agent`

  Specifies the absolute path to requester agent.

  Optional property.

  Type: String.

  Tuning recommendations: The value of this property for the default plug-in should not be tuned except for testing purposes.

  Default value: None.

`Responder_agent`

  Specifies the absolute path to the responder agent.

  Optional property.

  Type: String.

  Tuning recommendations: The value of this property for the default plug-in should not be tuned except for testing purposes.

  Default value: None.

`Type`

  Specifies the type of plug-in. Set to either `Primary` or `Backup`.

  Required property.

  Type: Enum.

  Tuning recommendations: The value of this property is assigned at creation and tunable at runtime.

  Default value: None, except for heartbeats with default heartbeat name `ping_plugin`. In this case, the default value is `Backup`.

## Exit Status

The following exit values are returned:

`0`

  The command completed successfully, indicating that the remote cluster is alive.

nonzero

  An error has occurred, meaning that the remote cluster did not respond to the heartbeat check.

## Examples

Example 1 Creating a Heartbeat

The following `geohb` command creates a heartbeat that is named `paris-to-newyork`, which communicates between the local cluster and the cluster `cluster-newyork`.

    # geohb create -r cluster-newyork paris-to-newyork

Example 2 Creating a Heartbeat Plug-in

The following `geohb` command creates a heartbeat plug-in that is named `command1` for the heartbeat `paris-to-newyork`.

    # geohb add-plugin command1 -p Query_cmd=/usr/bin/hb paris-to-newyork

Example 3 Modifying a Heartbeat

The following `geohb` command modifies the properties for the default heartbeat between `cluster-paris` and `cluster-newyork`.

    # geohb set-prop -p Query_interval=60 hb_cluster-paris~cluster-newyork

Example 4 Deleting a Plug-in From a Heartbeat

The following `geohb` command deletes the plug-in that is named `command1`, from the heartbeat that is named `paris-to-newyork`.

    # geohb remove-plugin command1 paris-to-newyork

## Attributes

See `attributes`(5) for descriptions of the following attributes.

ATTRIBUTE TYPE | ATTRIBUTE VALUE
--- | ---
Availability | ha-cluster/geo/framework
Interface Stability | Evolving

## See Also

`rbac`(5), `geops`(1M)

Copyright © 2004, 2012, Oracle and/or its affiliates. All rights reserved. Legal Notices |